<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetColumns Method (IEdmBomView)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomView Interface : GetColumns Method (IEdmBomView)

Visual Basic
C#
C++/CLI

ppoColumns
  Array of EdmBomColumn structures; one structure for each BOM column

Gets the column definitions for this BOM.

# Syntax

Visual Basic |
--- | ---

    Sub GetColumns( _
       ByRef ppoColumns() As EdmBomColumn _
    )

C# |
--- | ---

    void GetColumns(
       out EdmBomColumn[] ppoColumns
    )

C++/CLI |
--- | ---

    void GetColumns(
    &   [Out] array<EdmBomColumn>^ ppoColumns
    )

#### Parameters

ppoColumns
  Array of EdmBomColumn structures; one structure for each BOM column

# Example

See the IEdmBomView examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomView Interface
IEdmBomView Members

# Availability

SOLIDWORKS PDM Professional 2009